"use strict";
jQuery( window ).on( 'elementor/frontend/init', function() {
	elementorFrontend.hooks.addAction( 'frontend/element_ready/pbmit_blog_element.default', function($scope, $){ pbmit_carousel(); });
	elementorFrontend.hooks.addAction( 'frontend/element_ready/pbmit_portfolio_element.default', function($scope, $){ pbmit_carousel(); pbmit_active(); pbmit_portfolio_slide(); });
	elementorFrontend.hooks.addAction( 'frontend/element_ready/pbmit_service_element.default', function($scope, $){ pbmit_carousel(); pbmit_service_style9(); pbmit_staticbox_hover(); pbmit_hover_slide(); });
	elementorFrontend.hooks.addAction( 'frontend/element_ready/pbmit_team_element.default', function($scope, $){ pbmit_carousel(); pbmit_team_swiper(); });
	elementorFrontend.hooks.addAction( 'frontend/element_ready/pbmit_testimonial_element.default', function($scope, $){ pbmit_carousel(); pbmit_testimonial_animation(); });
	elementorFrontend.hooks.addAction( 'frontend/element_ready/pbmit_client_element.default', function($scope, $){ pbmit_carousel(); });
	elementorFrontend.hooks.addAction( 'frontend/element_ready/pbmit_multiple_icon_heading.default', function($scope, $){ pbmit_carousel(); pbmit_miconheading_scroll(); });
	elementorFrontend.hooks.addAction( 'frontend/element_ready/pbmit_fid_element.default', function($scope, $){ pbmit_circle_progressbar(); });
	elementorFrontend.hooks.addAction( 'frontend/element_ready/pbmit_timeline_element.default', function($scope, $){ pbmit_carousel(); });
	elementorFrontend.hooks.addAction( 'frontend/element_ready/pbmit_marquee_effect_element.default', function($scope, $){ pbmit_marquee(); });
	elementorFrontend.hooks.addAction( 'frontend/element_ready/pbmit_static_box_element.default', function($scope, $){ pbmit_carousel(); pbmit_card_static_box(); });
	elementorFrontend.hooks.addAction( 'frontend/element_ready/pbmit_panolens_element.default', function($scope, $){ pbmit_panolens_view(); });
	elementorFrontend.hooks.addAction( 'frontend/element_ready/global', function( $scope, $ ) {
		setTimeout(function(){
			pbmit_rearrange_stretched_col( $scope.data('id') );
			pbmit_bgimage_class();
			pbmit_bgcolor_class();
		}, 200);
	} );
	elementorFrontend.hooks.addAction('frontend/element_ready/pbmit_beforeafter_element.default', function($scope, $) { pbmit_before_after($scope); });
} );